<div class="header">
    <nav class="navbar navbar-expand-lg">
        <div class="nav-container">
          <a class="navbar-brand"
          [class.active]="activeClass=='home'" 
          (click)="onNavigate('home')">
            <img src="../../../assets/images/logo.png" />
          </a>
          <button (click)="openCollapseNav()" class="navbar-toggler" type="button" data-bs-toggle="collapse" data-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div [class.collapse]="collapseNav!==true" class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
              <li class="nav-item">
                <a  class="nav-link" 
                [class.active]="activeClass=='home'" 
                (click)="onNavigate(home)" >Home</a>
              </li>
              <li class="nav-item" *ngIf="showLogin">
                <a  class="nav-link" 
                [class.active]="activeClass=='login'" 
                (click)="onNavigate('login')" >Login</a>
              </li>
              <li class="nav-item" *ngIf="!showLogin">
                <a  class="nav-link" 
                [class.active]="activeClass=='login'" 
                (click)="onLogout()" >Logout</a>
              </li>
            </ul>
          </div>
        </div>
    </nav>
</div>